#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
#
# alone : web application framework for small embedded systems.
#               Copyright (c) 2012 Inas Co Ltd. All Rights Reserved.
#
# This file is destributed under BSD License. Please read the COPYRIGHT file.


# サンプルの都合により、ここで AL_LOGIN_URIを定義していますが、
# 本来は、al_config.rb 内で定義すべきです。
#
AL_LOGIN_URI = "?ctrl=login" if ! Object.const_defined?( :AL_LOGIN_URI )


# ログインが必要なコントローラへ、
#   require "al_login"
# を記述します。
# アプリケーション全体でログインが必要な場合は、エントリポイントへ
# requireを記述する方が良いでしょう。
#
require "al_login"
require "al_template"


class AlController

  #
  # デフォルトアクションの定義
  #  (note)
  #  ログインが成功してから実行されます。
  #
  def action_index()
    AlTemplate.run( 'index.rhtml' )
  end

end
